<button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Menu">
	<mat-icon>menu</mat-icon>
</button>
<mat-menu #menu="matMenu">

	<button *ngIf="environment().import" mat-menu-item (click)="importData()" >
		<mat-icon>file_upload</mat-icon>
		<span>{{ 'ImportData' | translate }}</span>
	</button>

	<button mat-menu-item (click)="openDatabaseOverview()">
		<mat-icon>table</mat-icon>
		<span>{{ 'ShowDatabase' | translate }}</span>
	</button>

	<button *ngIf="environment().export"  mat-menu-item (click)="exportData()" >
		<mat-icon>file_download</mat-icon>
		<span>{{ 'ExportData' | translate }}</span>
	</button>

	<button mat-menu-item (click)="rightFullClick()" [disabled]="rightClickDisabled()">
		<mat-icon>chevron_left</mat-icon>
		<span>{{ 'RightMapFull' | translate }}</span>
	</button>

	<button mat-menu-item (click)="leftFullClick()" [disabled]="leftClickDisabled()">
		<mat-icon>chevron_right</mat-icon>
		<span>{{ 'LeftMapFull' | translate }}</span>
	</button>

	<button mat-menu-item (click)="toggleSync()">
		<mat-icon>share_location</mat-icon>
		<span>{{ 'SyncMap' | translate }} {{ getSyncState() }}</span>
	</button>

</mat-menu>
